Get a carbon credit quote for ground freight emissions
curl --request POST \
--url https://carbon-engine.onrender.com/v1/quotes/ground-freight \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"freight_mass_kg": 123,
"distance_km": 123,
"portfolio_id": "<string>"
}
'import requests
url = "https://carbon-engine.onrender.com/v1/quotes/ground-freight"
payload = {
"freight_mass_kg": 123,
"distance_km": 123,
"portfolio_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({freight_mass_kg: 123, distance_km: 123, portfolio_id: '<string>'})
};
fetch('https://carbon-engine.onrender.com/v1/quotes/ground-freight', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"amount_kg": 123,
"price_sar_halalas": 123
}{
"error": 123,
"message": "<string>"
}Quotes
Get Quote for Ground Freight Emissions
Get a price quote for offsetting ground freight shipment carbon emissions. Will return the amount of CO2e to offset and total price.
POST
/
v1
/
quotes
/
ground-freight
Get a carbon credit quote for ground freight emissions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Mass of freight, in kg
Distance of ground freight shipment, in km
Optional ID of the portfolio to use for the quote. The quote will be for an order fulfilled from this portfolio. If not specified, the account's default portfolio will be used.
⌘I
